Package net.shibboleth.idp.consent.audit.impl

# Class ConsentAuditFields

java.lang.Object
net.shibboleth.idp.consent.audit.impl.ConsentAuditFields

public final class ConsentAuditFields extends Object
Constants to use for audit logging fields stored in an `AuditContext` as a child of an `ConsentContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CURRENT_CONSENT_IDS`
Current consents ID field.
`static final String`
`CURRENT_CONSENT_IS_APPROVED`
Current consents isApproved field.
`static final String`
`CURRENT_CONSENT_VALUES`
Current consents value field.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ConsentAuditFields()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CURRENT_CONSENT_IDS

@Nonnull @NotEmpty public static final String CURRENT_CONSENT_IDS
Current consents ID field.

See Also:
  - Constant Field Values

### CURRENT_CONSENT_VALUES

@Nonnull @NotEmpty public static final String CURRENT_CONSENT_VALUES
Current consents value field.

See Also:
  - Constant Field Values

### CURRENT_CONSENT_IS_APPROVED

@Nonnull @NotEmpty public static final String CURRENT_CONSENT_IS_APPROVED
Current consents isApproved field.

See Also:
  - Constant Field Values

## Constructor Details

### ConsentAuditFields

private ConsentAuditFields()
Constructor.